package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.EbcdicMessage;
import com.eactive.eai.transformer.message.Message;

public class EbcdicMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize,
        boolean useDefault) throws Exception {
        EbcdicMessage message = (EbcdicMessage) layout.getRootItem();
        message = (EbcdicMessage) message.clone();
        message.createObject();
        return message;
    }
}
